package com.copy.trade.core;


import java.io.Serializable;

/**
 * @author
 * @date 2022/3/31 02:59
 */
public class ErrorResult implements Serializable {

    private static final long serialVersionUID = 6708527868849122733L;
    private Integer status;
    private String code;
    private String msg;

    public ErrorResult() {
    }

    public ErrorResult(Integer status, String code, String msg) {
        this.status = status;
        this.code = code;
        this.msg = msg;
    }

    public ErrorResult(String code, String msg) {
        this.status = 0;
        this.code = code;
        this.msg = msg;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
